Name:      xmlrpc-epi
Version:   0.54.1
Release:   3%{?dist}
Summary:   An implementation of the XML-RPC protocol in C
Group:     System Environment/Libraries
License:   MIT
URL:       http://xmlrpc-epi.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0:   http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRequires: expat-devel
BuildRequires: libtool

%description
An implementation of the XML-RPC protocol in C.

%package  devel
Summary:  Development files for xmlrpc-epi
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The xmlrpc-epi-devel package contains libraries and header files for
developing applications that use xmlrpc-epi.

%prep
%setup -q -c -T -a 0

%build
cd xmlrpc
cp -p [A-Z]* ..
%configure --disable-static --includedir=%{_includedir}/xmlrpc-epi
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
cd xmlrpc
make install DESTDIR=%{buildroot} INSTALL="%{__install} -p"
rm -r %{buildroot}%{_bindir}
rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_libdir}/libxmlrpc-epi.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/xmlrpc-epi
%{_libdir}/libxmlrpc-epi.so

%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.54.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Feb 20 2010 Bryan O'Sullivan <bos@serpentine.com> 0.54.1-2
- A few small changes requested during packaging review for bz 539388.

* Thu Nov 19 2009 Bryan O'Sullivan <bos@serpentine.com> 0.54.1-1
- Initial build of 0.54.1, based on Callum Lerwick's abandoned spec
  file from a few years ago.
